Bug 12206 - Malformed HTML in search result other holdings list
Summary: Malformed HTML in search result other holdings list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-07 05:01 UTC by paxed
Modified: 2014-12-07 20:07 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12206: fix HTML in other holdings list in staff search results page (1.46 KB, patch)
2014-05-07 17:46 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 12206: fix HTML in other holdings list in staff search results page (1.56 KB, patch)
2014-05-13 03:48 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 12206: fix HTML in other holdings list in staff search results page (1.57 KB, patch)
2014-05-13 06:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-05-07 05:01:30 UTC
In koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/results.tt:

<ul>
[% FOREACH ALTERNATEHOLDING IN SEARCH_RESULT.ALTERNATEHOLDINGS %]
<li id="alternateholdings">[% ALTERNATEHOLDING.holding %]</li>
[% END %]
</li>

The "</li>" at the end should be "</ul>" instead.
Comment 1 Galen Charlton 2014-05-07 17:46:33 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-05-13 03:48:44 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-05-13 06:58:43 UTC
Created attachment 28195 [details] [review]
Bug 12206: fix HTML in other holdings list in staff search results page

To test:

[1] View, in the staff interface, a record with alternate holdings
    (as controlled by the AlternateHoldingsField system preference).
[2] Verify that the HTML list is closed correctly.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2014-05-13 14:11:21 UTC
Pushed to master.